zenilib: SFNT_Interface_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SFNT_Interface_ Struct Reference

`#include <sfnt.h>`

## Public Attributes

TT_Done_Face_Func | done_face
TT_Free_Table_Func | free_eblc
TT_Free_Table_Func | free_name
TT_Free_Table_Func | free_psnames
FT_Module_Requester | get_interface
TT_Face_GetKerningFunc | get_kerning
TT_Get_Metrics_Func | get_metrics
TT_Get_PS_Name_Func | get_psname
TT_Loader_GotoTableFunc | goto_table
TT_Init_Face_Func | init_face
TT_Load_Any_Func | load_any
TT_Load_Table_Func | load_bhed
TT_Load_Table_Func | load_cmap
TT_Load_Table_Func | load_eblc
TT_Load_Face_Func | load_face
TT_Load_Table_Func | load_font_dir
TT_Load_Table_Func | load_gasp
TT_Load_Table_Func | load_head
TT_Load_Metrics_Func | load_hhea
TT_Load_Metrics_Func | load_hmtx
TT_Load_Table_Func | load_kern
TT_Load_Table_Func | load_maxp
TT_Load_Table_Func | load_name
TT_Load_Table_Func | load_os2
TT_Load_Table_Func | load_pclt
TT_Load_Table_Func | load_post
TT_Load_SBit_Image_Func | load_sbit_image
TT_Load_Strike_Metrics_Func | load_strike_metrics
TT_Set_SBit_Strike_Func | set_sbit_strike

## Detailed Description

Definition at line 649 of file sfnt.h.

## Member Data Documentation

TT_Done_Face_Func SFNT_Interface_::done_face

Definition at line 655 of file sfnt.h.

Referenced by cff_face_done(), and tt_face_done().

TT_Free_Table_Func SFNT_Interface_::free_eblc

Definition at line 743 of file sfnt.h.

Referenced by sfnt_done_face().

TT_Free_Table_Func SFNT_Interface_::free_name

Definition at line 675 of file sfnt.h.

Referenced by sfnt_done_face().

TT_Free_Table_Func SFNT_Interface_::free_psnames

Definition at line 723 of file sfnt.h.

Referenced by sfnt_done_face().

FT_Module_Requester SFNT_Interface_::get_interface

Definition at line 656 of file sfnt.h.

Referenced by tt_get_interface().

TT_Face_GetKerningFunc SFNT_Interface_::get_kerning

Definition at line 733 of file sfnt.h.

Referenced by cff_get_kerning(), and tt_get_kerning().

TT_Get_Metrics_Func SFNT_Interface_::get_metrics

Definition at line 748 of file sfnt.h.

TT_Get_PS_Name_Func SFNT_Interface_::get_psname

Definition at line 722 of file sfnt.h.

TT_Loader_GotoTableFunc SFNT_Interface_::goto_table

Definition at line 651 of file sfnt.h.

Referenced by sfnt_init_face().

TT_Init_Face_Func SFNT_Interface_::init_face

Definition at line 653 of file sfnt.h.

Referenced by cff_face_init(), and tt_face_init().

TT_Load_Any_Func SFNT_Interface_::load_any

Definition at line 658 of file sfnt.h.

TT_Load_Table_Func SFNT_Interface_::load_bhed

Definition at line 691 of file sfnt.h.

Referenced by sfnt_load_face().

TT_Load_Table_Func SFNT_Interface_::load_cmap

Definition at line 669 of file sfnt.h.

Referenced by cff_face_init().

TT_Load_Table_Func SFNT_Interface_::load_eblc

Definition at line 742 of file sfnt.h.

Referenced by sfnt_load_face().

TT_Load_Face_Func SFNT_Interface_::load_face

Definition at line 654 of file sfnt.h.

Referenced by cff_face_init(), and tt_face_init().

TT_Load_Table_Func SFNT_Interface_::load_font_dir

Definition at line 739 of file sfnt.h.

Referenced by sfnt_init_face().

TT_Load_Table_Func SFNT_Interface_::load_gasp

Definition at line 686 of file sfnt.h.

TT_Load_Table_Func SFNT_Interface_::load_head

Definition at line 667 of file sfnt.h.

TT_Load_Metrics_Func SFNT_Interface_::load_hhea

Definition at line 668 of file sfnt.h.

TT_Load_Metrics_Func SFNT_Interface_::load_hmtx

Definition at line 740 of file sfnt.h.

TT_Load_Table_Func SFNT_Interface_::load_kern

Definition at line 684 of file sfnt.h.

TT_Load_Table_Func SFNT_Interface_::load_maxp

Definition at line 670 of file sfnt.h.

TT_Load_Table_Func SFNT_Interface_::load_name

Definition at line 674 of file sfnt.h.

TT_Load_Table_Func SFNT_Interface_::load_os2

Definition at line 671 of file sfnt.h.

TT_Load_Table_Func SFNT_Interface_::load_pclt

Definition at line 687 of file sfnt.h.

TT_Load_Table_Func SFNT_Interface_::load_post

Definition at line 672 of file sfnt.h.

TT_Load_SBit_Image_Func SFNT_Interface_::load_sbit_image

Definition at line 715 of file sfnt.h.

TT_Load_Strike_Metrics_Func SFNT_Interface_::load_strike_metrics

Definition at line 746 of file sfnt.h.

Referenced by sfnt_load_face().

TT_Set_SBit_Strike_Func SFNT_Interface_::set_sbit_strike

Definition at line 745 of file sfnt.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/sfnt.h